"""add story table and relationship with user

Revision ID: 4a3f5b8dfcfc
Revises: d44a5a5a1fd2
Create Date: 2020-05-27 19:04:14.137146

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "4a3f5b8dfcfc"
down_revision = "d44a5a5a1fd2"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "stories",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("age", sa.Integer(), nullable=True),
        sa.Column("sex", sa.String(length=64), nullable=True),
        sa.Column("ethnicity", sa.String(length=128), nullable=True),
        sa.Column("country_of_origin", sa.String(length=128), nullable=True),
        sa.Column("profession", sa.String(length=128), nullable=True),
        sa.Column("sick", sa.String(length=64), nullable=True),
        sa.Column("tested", sa.String(length=64), nullable=True),
        sa.Column("_medical_problems", sa.JSON(), nullable=True),
        sa.Column("sickness_start", sa.String(length=64), nullable=True),
        sa.Column("sickness_end", sa.String(length=64), nullable=True),
        sa.Column("current_location", sa.String(length=128), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_stories_id"), "stories", ["id"], unique=False)
    op.add_column("users", sa.Column("story_id", sa.Integer(), nullable=True))
    op.create_foreign_key(None, "users", "stories", ["story_id"], ["id"])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, "users", type_="foreignkey")
    op.drop_column("users", "story_id")
    op.drop_index(op.f("ix_stories_id"), table_name="stories")
    op.drop_table("stories")
    # ### end Alembic commands ###
