"""Initial migration

Revision ID: 743acf97f20b
Revises:
Create Date: 2020-05-21 13:46:55.250599

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = "743acf97f20b"
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "users",
        sa.Column(
            "id",
            mysql.INTEGER(display_width=11),
            autoincrement=True,
            nullable=False,
        ),
        sa.Column("email", mysql.VARCHAR(length=128), nullable=True),
        sa.Column("password", mysql.VARCHAR(length=128), nullable=True),
        sa.Column("username", mysql.VARCHAR(length=64), nullable=True),
        sa.PrimaryKeyConstraint("id"),
        mysql_default_charset="latin1",
        mysql_engine="InnoDB",
    )
    op.create_index("username", "users", ["username"], unique=True)
    op.create_index("ix_users_id", "users", ["id"], unique=False)
    op.create_index("ix_users_email", "users", ["email"], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index("ix_users_email", table_name="users")
    op.drop_index("ix_users_id", table_name="users")
    op.drop_index("username", table_name="users")
    op.drop_table("users")
    # ### end Alembic commands ###
