"""Add symptoms table and relationship with story

Revision ID: fca850040ebf
Revises: 4a3f5b8dfcfc
Create Date: 2020-05-29 16:06:08.141734

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "fca850040ebf"
down_revision = "4a3f5b8dfcfc"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "symptoms",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("name", sa.String(length=128), nullable=True),
        sa.Column("created_at", sa.DateTime(), nullable=True),
        sa.Column("updated_at", sa.DateTime(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_symptoms_id"), "symptoms", ["id"], unique=False)
    op.create_index(
        op.f("ix_symptoms_name"), "symptoms", ["name"], unique=True
    )
    op.create_table(
        "story_symptoms",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("story_id", sa.Integer(), nullable=True),
        sa.Column("symptom_id", sa.Integer(), nullable=True),
        sa.Column("created_at", sa.DateTime(), nullable=True),
        sa.Column("updated_at", sa.DateTime(), nullable=True),
        sa.ForeignKeyConstraint(["story_id"], ["stories.id"],),
        sa.ForeignKeyConstraint(["symptom_id"], ["symptoms.id"],),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(
        op.f("ix_story_symptoms_id"), "story_symptoms", ["id"], unique=False
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_story_symptoms_id"), table_name="story_symptoms")
    op.drop_table("story_symptoms")
    op.drop_index(op.f("ix_symptoms_name"), table_name="symptoms")
    op.drop_index(op.f("ix_symptoms_id"), table_name="symptoms")
    op.drop_table("symptoms")
    # ### end Alembic commands ###
